<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [TIX](./bitburner.tix.md) &gt; [getOrganization](./bitburner.tix.getorganization.md)

## TIX.getOrganization() method

Returns the organization associated with a stock symbol.

**Signature:**

```typescript
getOrganization(sym: string): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sym | string | Stock symbol. |

**Returns:**

string

The organization associated with the stock symbol.

## Remarks

RAM cost: 2 GB

The organization associated with the corresponding stock symbol. This function requires that you have the following:

- WSE Account

- TIX API Access

## Example


```js
ns.stock.getOrganization("FSIG");

// Choose the first stock symbol from the array of stock symbols. Get the
// organization associated with the corresponding stock symbol.
const sym = ns.stock.getSymbols()[0];
ns.tprint("Stock symbol: " + sym);
ns.tprint("Stock organization: " + ns.stock.getOrganization(sym));
```

